<?php
$tdatamy_collections = array();
$tdatamy_collections[".searchableFields"] = array();
$tdatamy_collections[".ShortName"] = "my_collections";
$tdatamy_collections[".OwnerID"] = "user";
$tdatamy_collections[".OriginalTable"] = "collections";


$tdatamy_collections[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatamy_collections[".originalPagesByType"] = $tdatamy_collections[".pagesByType"];
$tdatamy_collections[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatamy_collections[".originalPages"] = $tdatamy_collections[".pages"];
$tdatamy_collections[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\"}" );
$tdatamy_collections[".originalDefaultPages"] = $tdatamy_collections[".defaultPages"];

//	field labels
$fieldLabelsmy_collections = array();
$fieldToolTipsmy_collections = array();
$pageTitlesmy_collections = array();
$placeHoldersmy_collections = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsmy_collections["English"] = array();
	$fieldToolTipsmy_collections["English"] = array();
	$placeHoldersmy_collections["English"] = array();
	$pageTitlesmy_collections["English"] = array();
	$fieldLabelsmy_collections["English"]["loan_id"] = "Loan Id";
	$fieldToolTipsmy_collections["English"]["loan_id"] = "";
	$placeHoldersmy_collections["English"]["loan_id"] = "";
	$fieldLabelsmy_collections["English"]["details"] = "Details";
	$fieldToolTipsmy_collections["English"]["details"] = "";
	$placeHoldersmy_collections["English"]["details"] = "";
	$fieldLabelsmy_collections["English"]["horno"] = "Horno";
	$fieldToolTipsmy_collections["English"]["horno"] = "";
	$placeHoldersmy_collections["English"]["horno"] = "";
	$fieldLabelsmy_collections["English"]["collection_id"] = "Collection Id";
	$fieldToolTipsmy_collections["English"]["collection_id"] = "";
	$placeHoldersmy_collections["English"]["collection_id"] = "";
	$fieldLabelsmy_collections["English"]["pay_date"] = "Pay Date";
	$fieldToolTipsmy_collections["English"]["pay_date"] = "";
	$placeHoldersmy_collections["English"]["pay_date"] = "";
	$fieldLabelsmy_collections["English"]["amount"] = "Amount";
	$fieldToolTipsmy_collections["English"]["amount"] = "";
	$placeHoldersmy_collections["English"]["amount"] = "";
	$fieldLabelsmy_collections["English"]["user"] = "User";
	$fieldToolTipsmy_collections["English"]["user"] = "";
	$placeHoldersmy_collections["English"]["user"] = "";
	$fieldLabelsmy_collections["English"]["creat_at"] = "Creat At";
	$fieldToolTipsmy_collections["English"]["creat_at"] = "";
	$placeHoldersmy_collections["English"]["creat_at"] = "";
	$fieldLabelsmy_collections["English"]["remaining_balance"] = "Remaining Balance";
	$fieldToolTipsmy_collections["English"]["remaining_balance"] = "";
	$placeHoldersmy_collections["English"]["remaining_balance"] = "";
	$fieldLabelsmy_collections["English"]["full_name"] = "Full Name";
	$fieldToolTipsmy_collections["English"]["full_name"] = "";
	$placeHoldersmy_collections["English"]["full_name"] = "";
	if (count($fieldToolTipsmy_collections["English"]))
		$tdatamy_collections[".isUseToolTips"] = true;
}


	$tdatamy_collections[".NCSearch"] = true;



$tdatamy_collections[".shortTableName"] = "my_collections";
$tdatamy_collections[".nSecOptions"] = 1;

$tdatamy_collections[".mainTableOwnerID"] = "user";
$tdatamy_collections[".entityType"] = 1;
$tdatamy_collections[".connId"] = "easy_cash_at_localhost";


$tdatamy_collections[".strOriginalTableName"] = "collections";

	



$tdatamy_collections[".showAddInPopup"] = false;

$tdatamy_collections[".showEditInPopup"] = false;

$tdatamy_collections[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatamy_collections[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatamy_collections[".listAjax"] = true;
//	temporary
$tdatamy_collections[".listAjax"] = false;

	$tdatamy_collections[".audit"] = true;

	$tdatamy_collections[".locking"] = false;


$pages = $tdatamy_collections[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatamy_collections[".edit"] = true;
	$tdatamy_collections[".afterEditAction"] = 1;
	$tdatamy_collections[".closePopupAfterEdit"] = 1;
	$tdatamy_collections[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatamy_collections[".add"] = true;
$tdatamy_collections[".afterAddAction"] = 2;
$tdatamy_collections[".closePopupAfterAdd"] = 0;
$tdatamy_collections[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatamy_collections[".list"] = true;
}



$tdatamy_collections[".strSortControlSettingsJSON"] = "[{\"fields\":[{\"desc\":true,\"field\":\"creat_at\"}],\"label\":\"\"},{\"fields\":[{\"desc\":false,\"field\":\"collection_id\"}],\"label\":\"\"},{\"fields\":[{\"desc\":false,\"field\":\"loan_id\"}],\"label\":\"\"},{\"fields\":[{\"desc\":false,\"field\":\"pay_date\"}],\"label\":\"\"},{\"fields\":[{\"desc\":false,\"field\":\"amount\"}],\"label\":\"\"},{\"fields\":[{\"desc\":false,\"field\":\"customer_id\"}],\"label\":\"\"},{\"fields\":[{\"desc\":false,\"field\":\"user\"}],\"label\":\"\"}]";




if( $pages[PAGE_VIEW] ) {
$tdatamy_collections[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatamy_collections[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatamy_collections[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatamy_collections[".printFriendly"] = true;
}



$tdatamy_collections[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatamy_collections[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatamy_collections[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatamy_collections[".isUseAjaxSuggest"] = true;

$tdatamy_collections[".rowHighlite"] = true;



																								

$tdatamy_collections[".ajaxCodeSnippetAdded"] = false;

$tdatamy_collections[".buttonsAdded"] = false;

$tdatamy_collections[".addPageEvents"] = false;

// use timepicker for search panel
$tdatamy_collections[".isUseTimeForSearch"] = false;


$tdatamy_collections[".badgeColor"] = "BC8F8F";


$tdatamy_collections[".allSearchFields"] = array();
$tdatamy_collections[".filterFields"] = array();
$tdatamy_collections[".requiredSearchFields"] = array();

$tdatamy_collections[".googleLikeFields"] = array();
$tdatamy_collections[".googleLikeFields"][] = "collection_id";
$tdatamy_collections[".googleLikeFields"][] = "loan_id";
$tdatamy_collections[".googleLikeFields"][] = "pay_date";
$tdatamy_collections[".googleLikeFields"][] = "amount";
$tdatamy_collections[".googleLikeFields"][] = "details";
$tdatamy_collections[".googleLikeFields"][] = "horno";
$tdatamy_collections[".googleLikeFields"][] = "user";
$tdatamy_collections[".googleLikeFields"][] = "creat_at";
$tdatamy_collections[".googleLikeFields"][] = "remaining_balance";
$tdatamy_collections[".googleLikeFields"][] = "full_name";



$tdatamy_collections[".tableType"] = "list";

$tdatamy_collections[".printerPageOrientation"] = 0;
$tdatamy_collections[".nPrinterPageScale"] = 100;

$tdatamy_collections[".nPrinterSplitRecords"] = 40;

$tdatamy_collections[".geocodingEnabled"] = false;





$tdatamy_collections[".isResizeColumns"] = true;





$tdatamy_collections[".pageSize"] = 50;

$tdatamy_collections[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY collections.creat_at";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatamy_collections[".strOrderBy"] = $tstrOrderBy;

$tdatamy_collections[".orderindexes"] = array();
	$tdatamy_collections[".orderindexes"][] = array(8, (1 ? "ASC" : "DESC"), "collections.creat_at");



$tdatamy_collections[".sqlHead"] = "SELECT collections.collection_id,      collections.loan_id,      DATE(collections.pay_date) AS pay_date,      collections.amount,      collections.details,      collections.horno,      collections.`user`,      collections.creat_at,      collections.remaining_balance,      customers.full_name";
$tdatamy_collections[".sqlFrom"] = "FROM collections  INNER JOIN loans       ON collections.loan_id = loans.loan_id  INNER JOIN customers       ON loans.customer_id = customers.customer_id";
$tdatamy_collections[".sqlWhereExpr"] = "";
$tdatamy_collections[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatamy_collections[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatamy_collections[".arrGroupsPerPage"] = $arrGPP;

$tdatamy_collections[".highlightSearchResults"] = true;

$tableKeysmy_collections = array();
$tableKeysmy_collections[] = "loan_id";
$tdatamy_collections[".Keys"] = $tableKeysmy_collections;


$tdatamy_collections[".hideMobileList"] = array();




//	collection_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "collection_id";
	$fdata["GoodName"] = "collection_id";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("My_collections","collection_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "collection_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "collections.collection_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["collection_id"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "collection_id";
//	loan_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "loan_id";
	$fdata["GoodName"] = "loan_id";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("My_collections","loan_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "loan_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "collections.loan_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Loan Details";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"collection_id", 'lookupF'=>"customer_id");
	$edata["autoCompleteFields"][] = array('masterF'=>"customer_id", 'lookupF'=>"loan_id");
	$edata["autoCompleteFields"][] = array('masterF'=>"details", 'lookupF'=>"details");
	$edata["autoCompleteFields"][] = array('masterF'=>"horno", 'lookupF'=>"horno");
	$edata["autoCompleteFields"][] = array('masterF'=>"remaining_balance", 'lookupF'=>"remaining_balance");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "loan_id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "loan_id";

	

	
	$edata["LookupOrderBy"] = "loan_id";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["loan_id"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "loan_id";
//	pay_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "pay_date";
	$fdata["GoodName"] = "pay_date";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("My_collections","pay_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "pay_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DATE(collections.pay_date)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["pay_date"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "pay_date";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("My_collections","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "collections.amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["amount"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "amount";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("My_collections","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "collections.details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 12;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["details"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "details";
//	horno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "horno";
	$fdata["GoodName"] = "horno";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("My_collections","horno");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "horno";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "collections.horno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["horno"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "horno";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("My_collections","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "collections.`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["user"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "user";
//	creat_at
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "creat_at";
	$fdata["GoodName"] = "creat_at";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("My_collections","creat_at");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "creat_at";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "collections.creat_at";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["creat_at"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "creat_at";
//	remaining_balance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "remaining_balance";
	$fdata["GoodName"] = "remaining_balance";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("My_collections","remaining_balance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "remaining_balance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "collections.remaining_balance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["remaining_balance"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "remaining_balance";
//	full_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "full_name";
	$fdata["GoodName"] = "full_name";
	$fdata["ownerTable"] = "customers";
	$fdata["Label"] = GetFieldLabel("My_collections","full_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "full_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "customers.full_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamy_collections["full_name"] = $fdata;
		$tdatamy_collections[".searchableFields"][] = "full_name";


$tables_data["My collections"]=&$tdatamy_collections;
$field_labels["My_collections"] = &$fieldLabelsmy_collections;
$fieldToolTips["My_collections"] = &$fieldToolTipsmy_collections;
$placeHolders["My_collections"] = &$placeHoldersmy_collections;
$page_titles["My_collections"] = &$pageTitlesmy_collections;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["My collections"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["My collections"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_my_collections()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "collections.collection_id,      collections.loan_id,      DATE(collections.pay_date) AS pay_date,      collections.amount,      collections.details,      collections.horno,      collections.`user`,      collections.creat_at,      collections.remaining_balance,      customers.full_name";
$proto0["m_strFrom"] = "FROM collections  INNER JOIN loans       ON collections.loan_id = loans.loan_id  INNER JOIN customers       ON loans.customer_id = customers.customer_id";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY collections.creat_at";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "collection_id",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto6["m_sql"] = "collections.collection_id";
$proto6["m_srcTableName"] = "My collections";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "loan_id",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto8["m_sql"] = "collections.loan_id";
$proto8["m_srcTableName"] = "My collections";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$proto11=array();
$proto11["m_functiontype"] = "SQLF_CUSTOM";
$proto11["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "collections.pay_date"
));

$proto11["m_arguments"][]=$obj;
$proto11["m_strFunctionName"] = "DATE";
$obj = new SQLFunctionCall($proto11);

$proto10["m_sql"] = "DATE(collections.pay_date)";
$proto10["m_srcTableName"] = "My collections";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "pay_date";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto13["m_sql"] = "collections.amount";
$proto13["m_srcTableName"] = "My collections";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto15["m_sql"] = "collections.details";
$proto15["m_srcTableName"] = "My collections";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "horno",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto17["m_sql"] = "collections.horno";
$proto17["m_srcTableName"] = "My collections";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto19["m_sql"] = "collections.`user`";
$proto19["m_srcTableName"] = "My collections";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "creat_at",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto21["m_sql"] = "collections.creat_at";
$proto21["m_srcTableName"] = "My collections";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "remaining_balance",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto23["m_sql"] = "collections.remaining_balance";
$proto23["m_srcTableName"] = "My collections";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "full_name",
	"m_strTable" => "customers",
	"m_srcTableName" => "My collections"
));

$proto25["m_sql"] = "customers.full_name";
$proto25["m_srcTableName"] = "My collections";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto27=array();
$proto27["m_link"] = "SQLL_MAIN";
			$proto28=array();
$proto28["m_strName"] = "collections";
$proto28["m_srcTableName"] = "My collections";
$proto28["m_columns"] = array();
$proto28["m_columns"][] = "collection_id";
$proto28["m_columns"][] = "loan_id";
$proto28["m_columns"][] = "pay_date";
$proto28["m_columns"][] = "amount";
$proto28["m_columns"][] = "customer_id";
$proto28["m_columns"][] = "details";
$proto28["m_columns"][] = "horno";
$proto28["m_columns"][] = "user";
$proto28["m_columns"][] = "creat_at";
$proto28["m_columns"][] = "remaining_balance";
$obj = new SQLTable($proto28);

$proto27["m_table"] = $obj;
$proto27["m_sql"] = "collections";
$proto27["m_alias"] = "";
$proto27["m_srcTableName"] = "My collections";
$proto29=array();
$proto29["m_sql"] = "";
$proto29["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto29["m_column"]=$obj;
$proto29["m_contained"] = array();
$proto29["m_strCase"] = "";
$proto29["m_havingmode"] = false;
$proto29["m_inBrackets"] = false;
$proto29["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto29);

$proto27["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto27);

$proto0["m_fromlist"][]=$obj;
												$proto31=array();
$proto31["m_link"] = "SQLL_INNERJOIN";
			$proto32=array();
$proto32["m_strName"] = "loans";
$proto32["m_srcTableName"] = "My collections";
$proto32["m_columns"] = array();
$proto32["m_columns"][] = "loan_id";
$proto32["m_columns"][] = "customer_id";
$proto32["m_columns"][] = "loan_amount";
$proto32["m_columns"][] = "total_payable";
$proto32["m_columns"][] = "profit_amount";
$proto32["m_columns"][] = "payment_interval_days";
$proto32["m_columns"][] = "installment_amount";
$proto32["m_columns"][] = "start_date";
$proto32["m_columns"][] = "end_date";
$proto32["m_columns"][] = "status";
$proto32["m_columns"][] = "created_at";
$proto32["m_columns"][] = "call_record";
$proto32["m_columns"][] = "loan_period";
$proto32["m_columns"][] = "Loan";
$proto32["m_columns"][] = "video";
$proto32["m_columns"][] = "files";
$proto32["m_columns"][] = "image";
$proto32["m_columns"][] = "horno";
$proto32["m_columns"][] = "user";
$proto32["m_columns"][] = "guarantor_1";
$proto32["m_columns"][] = "guarantor_2";
$proto32["m_columns"][] = "Old_Loan";
$proto32["m_columns"][] = "new_loan";
$proto32["m_columns"][] = "route_id";
$proto32["m_columns"][] = "route_order";
$obj = new SQLTable($proto32);

$proto31["m_table"] = $obj;
$proto31["m_sql"] = "INNER JOIN loans       ON collections.loan_id = loans.loan_id";
$proto31["m_alias"] = "";
$proto31["m_srcTableName"] = "My collections";
$proto33=array();
$proto33["m_sql"] = "collections.loan_id = loans.loan_id";
$proto33["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "loan_id",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto33["m_column"]=$obj;
$proto33["m_contained"] = array();
$proto33["m_strCase"] = "= loans.loan_id";
$proto33["m_havingmode"] = false;
$proto33["m_inBrackets"] = false;
$proto33["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto33);

$proto31["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto31);

$proto0["m_fromlist"][]=$obj;
												$proto35=array();
$proto35["m_link"] = "SQLL_INNERJOIN";
			$proto36=array();
$proto36["m_strName"] = "customers";
$proto36["m_srcTableName"] = "My collections";
$proto36["m_columns"] = array();
$proto36["m_columns"][] = "customer_id";
$proto36["m_columns"][] = "full_name";
$proto36["m_columns"][] = "nic";
$proto36["m_columns"][] = "phone";
$proto36["m_columns"][] = "address";
$proto36["m_columns"][] = "photo";
$proto36["m_columns"][] = "created_at";
$proto36["m_columns"][] = "user";
$obj = new SQLTable($proto36);

$proto35["m_table"] = $obj;
$proto35["m_sql"] = "INNER JOIN customers       ON loans.customer_id = customers.customer_id";
$proto35["m_alias"] = "";
$proto35["m_srcTableName"] = "My collections";
$proto37=array();
$proto37["m_sql"] = "loans.customer_id = customers.customer_id";
$proto37["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "customer_id",
	"m_strTable" => "loans",
	"m_srcTableName" => "My collections"
));

$proto37["m_column"]=$obj;
$proto37["m_contained"] = array();
$proto37["m_strCase"] = "= customers.customer_id";
$proto37["m_havingmode"] = false;
$proto37["m_inBrackets"] = false;
$proto37["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto37);

$proto35["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto35);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto39=array();
						$obj = new SQLField(array(
	"m_strName" => "creat_at",
	"m_strTable" => "collections",
	"m_srcTableName" => "My collections"
));

$proto39["m_column"]=$obj;
$proto39["m_bAsc"] = 1;
$proto39["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto39);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="My collections";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_my_collections = createSqlQuery_my_collections();


	
		;

										

$tdatamy_collections[".sqlquery"] = $queryData_my_collections;



include_once(getabspath("include/my_collections_events.php"));
$tableEvents["My collections"] = new eventclass_my_collections;
$tdatamy_collections[".hasEvents"] = true;

?>